org.eclipse.lyo.client.oslc.resources

## Class ParameterInstance

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.ParameterInstance

- All Implemented Interfaces:
    Comparable<ParameterInstance>, org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Parameter Instance Resource Shape",
                         describes="http://open-services.net/ns/auto#ParameterInstance")
      @OslcNamespace(value="http://open-services.net/ns/auto#")
      public final class ParameterInstance
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource
      implements Comparable<ParameterInstance>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterInstance()`
    `ParameterInstance(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRdfType(URI rdfType)`
    `int` | `compareTo(ParameterInstance o)`
    `String` | `getDescription()`
    `URI` | `getInstanceShape()`
    `String` | `getName()`
    `protected URI` | `getRdfType()`
    `URI[]` | `getRdfTypes()`
    `URI` | `getServiceProvider()`
    `String` | `getValue()`
    `void` | `setDescription(String description)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setName(String name)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterInstance

          public ParameterInstance()

    - #### ParameterInstance

          public ParameterInstance(URI about)

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getName

          @OslcDescription(value="The name of the parameter instance.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#name")
          @OslcTitle(value="Name")
          public String getName()

    - #### getValue

          @OslcDescription(value="The value of the parameter.")
          @OslcOccurs(value=ZeroOrOne)
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#value")
          @OslcTitle(value="Value")
          public String getValue()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### setDescription

          public void setDescription(String description)

    - #### setName

          public void setName(String name)

    - #### setValue

          public void setValue(String value)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### compareTo

          public int compareTo(ParameterInstance o)

      Specified by:
        `compareTo` in interface `Comparable<ParameterInstance>`

Copyright © 2016. All Rights Reserved.